%define name fastcharmap
%define version 0.1.1
%define release 1

Summary: Faster (5x) charmap codec decode and encode in Pyrex
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: LGPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Vendor: Tony Nelson <tonynelson@georgeanelson.com>
Url: http://georgeanelson.com/fastcharmap.htm

%description
Fastcharmap is about 5 times faster than Python's standard charmap routines.

Usage:  fastcharmap.hook('codec_name')

Fastcharmap inserts faster code that works when unicode() or "".encode are
called.  Installation requires a binary distribution or a C compiler; Pyrex is
required for changes to the source.  Python's developers are working on faster
charmap codecs for a future version of Python; fastcharmap may be useful until
then.


%prep
%setup

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
